// Copyright (c) 2014-2022 NetEase, Inc.
// All right reserved.

import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';

void hideKeyboard() {
  SystemChannels.textInput.invokeMethod<void>('TextInput.hide');
}

/// show keyboard without request TextInput focus
void showKeyboard() {
  SystemChannels.textInput.invokeMethod<void>('TextInput.show');
}

extension KeyboardX on State {
  /// hide keyboard and clear current TextInput focus
  void dismissKeyboard() {
    FocusScope.of(context).requestFocus(FocusNode());
  }
}
