// Copyright (c) 2014-2022 NetEase, Inc.
// All right reserved.

extension ObjectX<T> on T? {
  R? guard<R>(R Function(T value) cb) {
    if (this is T) return cb(this as T);
    return null;
  }

  R? safeCast<R>() {
    if (this is R) return this as R;
    return null;
  }
}

extension IterableX<E> on Iterable<E> {
  Iterable<E> copy() {
    return List<E>.from(this, growable: false);
  }
}